Beefy Boxes and Bandwidth Generously Provided by pair Networks Russ
We don't bite newbies here... much
 
PerlMonks  

Re: Failure, need help : i naively tried to update Strawberry Perl, and broke it

by Anonymous Monk
on Dec 11, 2012 at 08:02 UTC ( #1008231=note: print w/ replies, xml ) Need Help??


in reply to Failure, need help : i tried to update Strawberry Perl naively, and broke it

What can i do now to fix it all ?

You might reboot so that any pendmoves get deleted then reinstall

Or pskill perl then reinstall

Or Uninstall (even if you have to rm -rfv C:\strawberry ) then reinstall

I guess i should have used something like perlbrew to avoid this problem.

Nope, perlbrew is linux only, and some like perlall better than perlbrew

This is purely strawberryperl installer bug territory -- maybe try the .zip only installer

An installer should be able to detect any conflicting perl.exe processes running, warn about installing in an old directory, overwrite said directory and all files successfully or warn you, ask to add shortcuts, ask to modify registry settings (add to %PATH%, add ftype/assoc )... but I've not used strawberry in a while


Comment on Re: Failure, need help : i naively tried to update Strawberry Perl, and broke it
Re^2: Failure, need help : i naively tried to update Strawberry Perl, and broke it
by mascip (Pilgrim) on Dec 11, 2012 at 08:14 UTC

    Thank you. Next time i'll go for perlall then.

    I sent a bug report to the Strawberry Perl people.

    I rebooted already, so i guess my only option is to uninstall and re-install. I'd like not to have to re-install all the CPAN modules that i have, if possible. Is there any way to do this ?
    The worse case scenario that i imagined involves copying all of the tar files and re-installing each manually, in order to avoid downloading them again. I hope i won't have to do this.

      I rebooted already, so i guess my only option is to uninstall and re-install. I'd like not to have to re-install all the CPAN modules that i have, if possible.

      You would have to do that anyway going from 5.12 to 5.16

        Oh, ok. I didn't know this. Ouch.
        Thank you for the information.

        I might try something even sillier than what i did before (well, things cannot get more broken than they are already, so...) :
        installing v5.12 again, now.
        Hopefully, things will work again and then i can get perlall (and maybe Pinto), and do things properly.

        How does it sound ?

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://1008231]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others exploiting the Monastery: (9)
As of 2014-04-25 09:12 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    April first is:







    Results (586 votes), past polls